KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm upgrade apply phase preflight - Run preflight checks before upgrade

SYNOPSIS
kubeadm upgrade apply phase preflight [OPTIONS]

DESCRIPTION
Run preflight checks before upgrade

OPTIONS
--allow-experimental-upgrades=false
    Show unstable versions of Kubernetes as an upgrade alternative and allow upgrading to an alpha/beta/release candidate versions of Kubernetes.

--allow-release-candidate-upgrades=false
    Show release candidate versions of Kubernetes as an upgrade alternative and allow upgrading to a release candidate versions of Kubernetes.

--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Do not change any state, just output what actions would be performed.

-f, --force=false
    Force upgrading although some requirements might not be met. This also implies non-interactive mode.

--ignore-preflight-errors=[]
    A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

-y, --yes=false
    Perform the upgrade and do not prompt for confirmation (non-interactive mode).

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-upgrade-apply-phase(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!